<?php

namespace Blazemedia\Affiliation\AdminUserInterface\Content;
use Blazemedia\Affiliation\AdminUserInterface\Settings\Capability;
use Blazemedia\Affiliation\AdminUserInterface\Settings\PostTypes;

/**
 * Verifica inserimento di asin doppi nello stesso giorno su articoli dello stesso postype
 */
class AsinChecker {

    protected $base_dir;
    protected $base_url;


    public function __construct() {

        // Controllo se il post è nei post types configurati
        if ( !is_admin() || defined('DOING_CRON') ) return;

        $post = get_post();

        if(!$post || !PostTypes::isPostTypeEnabled( $post->post_type ) ) {
            return;
        }
        
        $this->base_url = BLAZE_AFFILIATION_URI .'src/AdminUserInterface/Content/js/';

        add_action('admin_print_footer_scripts', [ $this,'enqueue_custom_script_for_editor']);
        
    }

    public function enqueue_custom_script_for_editor( ) {

        // bisogna accertarci che siamo nell'editor di un post
        if( 
            !is_admin() 
            || !isset($_GET['post'])
            || !isset($_GET['action'])
            || $_GET['action'] != 'edit' 
            ) return;

        ?>
        <script type="text/javascript" src="<?php echo $this->base_url ?>AsinChecker.js"></script>
        <?php
    }

   
}
